<?xml version="1.0" encoding="utf-8"?>
<LinearLayout android:orientation="vertical" android:layout_width="fill_parent" android:layout_height="fill_parent"
  xmlns:android="http://schemas.android.com/apk/res/android">
    <include layout="@layout/app_toolbar" />
    <ScrollView android:layout_width="fill_parent" android:layout_height="fill_parent">
        <LinearLayout android:orientation="vertical" android:layout_width="fill_parent" android:layout_height="wrap_content" android:divider="@drawable/horizontal_divider" android:showDividers="beginning|end|middle">
            <TextView android:id="@id/routing" android:text="@string/settings_navigation_routing" style="@style/setting_title" />
            <RadioGroup android:id="@id/routing_group" style="@style/setting_radio_button_group">
                <RadioButton android:id="@id/route_calculation_fastest" android:text="@string/settings_navigation_route_calculation_fastest" style="@style/setting_radio_button_on_the_right" />
                <RadioButton android:id="@id/route_calculation_shortest" android:text="@string/settings_navigation_route_calculation_shortest" style="@style/setting_radio_button_on_the_right" />
            </RadioGroup>
            <RelativeLayout android:background="?selectableItemBackground" android:layout_width="wrap_content" android:layout_height="wrap_content">
                <Switch android:id="@id/auto_recalc" android:padding="@dimen/outer_margin" android:layout_width="wrap_content" android:layout_alignParentRight="true" android:layout_centerVertical="true" android:layout_alignParentEnd="true" style="@style/setting_switch" />
                <TextView android:textSize="@dimen/Body1_font_size" android:id="@id/auto_recalc_title" android:layout_width="wrap_content" android:layout_height="wrap_content" android:layout_marginLeft="@dimen/outer_margin" android:layout_marginTop="@dimen/outer_margin" android:layout_marginRight="@dimen/outer_margin" android:layout_marginBottom="6.0dip" android:text="@string/settings_navigation_auto_recalc" android:layout_toLeftOf="@id/auto_recalc" android:layout_alignParentLeft="true" android:onClick="onAutoRecalcClick" android:layout_toStartOf="@id/auto_recalc" android:layout_alignParentStart="true" style="@style/H2Black" />
                <TextView android:textSize="@dimen/Body2_font_size" android:id="@id/setting_list_item_description" android:paddingLeft="@dimen/outer_margin" android:paddingBottom="13.0dip" android:layout_margin="0.0dip" android:text="@string/settings_navigation_auto_recalc_desc" android:layout_toLeftOf="@id/auto_recalc" android:layout_below="@id/auto_recalc_title" android:layout_alignParentLeft="true" android:onClick="onAutoRecalcClick" android:paddingStart="@dimen/outer_margin" android:layout_toStartOf="@id/auto_recalc" android:layout_alignParentStart="true" style="@style/setting_list_item_description" />
            </RelativeLayout>
            <TextView android:id="@id/route_preferences" android:text="@string/settings_navigation_route_preferences" style="@style/setting_title" />
            <Switch android:id="@id/highways" android:text="@string/settings_navigation_highways" style="@style/setting_switch" />
            <Switch android:id="@id/toll_roads" android:text="@string/settings_navigation_toll_roads" style="@style/setting_switch" />
            <Switch android:id="@id/ferries" android:text="@string/settings_navigation_ferries" style="@style/setting_switch" />
            <Switch android:id="@id/tunnels" android:text="@string/settings_navigation_tunnels" style="@style/setting_switch" />
            <Switch android:id="@id/unpaved_roads" android:text="@string/settings_navigation_unpaved_roads" style="@style/setting_switch" />
            <Switch android:id="@id/auto_trains" android:text="@string/settings_navigation_auto_trains" style="@style/setting_switch" />
        </LinearLayout>
    </ScrollView>
</LinearLayout>